image: maven:3.6.2-jdk-8

build:
  stage: build
  script:
    - git clone https://github.com/sparql-generate/sparql-generate.git
    - cd sparql-generate
    - cd sparql-generate-parent
    - mvn install -Pskip
    - cd ../..
    - mvn package
  artifacts:
    paths:
      - target/saref-pipeline.jar
  only:
    - master 


